# This brings in the primary yt API
from yt.mods import *

# This controls the way our textual annotation will appear
text_args = dict(size="x-large")

# This grabs all the parameter files within this directory and one beneath it
for pf in all_pfs(max_depth=2):
    # Create a plot collection to hold our plot, and just center it at the
    # center of the domain
    pc = PlotCollection(pf, center=[0.5, 0.5, 0.5])
    # Add our projection, projecting along axis 0 (x)
    p = pc.add_projection("Density", 0)
    # Create our textual annotation from the current redshift
    text = "z = %0.2f" % pf["CosmologyCurrentRedshift"]
    # Add our text
    p.modify["text"]((0.1,0.9), text, text_args)
    # Save it!
    pc.save("frames/%s" % pf)
